Subject: bug#52051: closed (Re: bug#52051: [core-updates-frozen] cannot login ('org.freedesktop.login1' service times out))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Dec 2021 23:39:02 +0000

Your bug report

#52051: [core-updates-frozen] cannot login ('org.freedesktop.login1' service times out)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52051: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52051
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52051: [core-updates-frozen] cannot login ('org.freedesktop.login1' service times out)
From: Leo Famulari <[email-masked]>
To: Timothy Sample <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 22 Dec 2021 18:38:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Dec 22, 2021 at 04:16:30PM -0500, Leo Famulari wrote:
> On Tue, Dec 21, 2021 at 09:19:20PM -0500, Leo Famulari wrote:
> > Would someone like to write a proper commit message and add a code
> > comment?
> 
> How about the attached patch? I'd like to push this soon, because it's a
> severe problem for some users.

> From ab9c4de76dea889e5d05bcf7fa173868357d5f44 Mon Sep 17 00:00:00 2001
> From: Timothy Sample <[email-masked]>
> Date: Tue, 21 Dec 2021 11:52:34 -0500
> Subject: [PATCH] services: dbus: Wait 1 minute for elogind to get ready.
> 
> Fixes <https://issues.guix.gnu.org/issue/52051>.
> 
> * gnu/services/dbus.scm (dbus-configuration-directory): Set a 60 second timeout
> in the dbus config.

Pushed as 488f1c589df00e802163af534294d93372e5c025

Subject: [core-updates-frozen] cannot login ('org.freedesktop.login1' service times out)
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Tue, 23 Nov 2021 01:47:07 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm not 100% sure this is the cause, but these are the last messages I
have before I rebooted:

--8<---------------cut here---------------start------------->8---
Nov 23 01:09:14 localhost dbus-daemon[383]: [system] Activating service name='org.freedesktop.login1' requested by ':1.17' (uid=0 pid=370
    comm="/gnu/store/ximad0zvg12r4x0x80mvym8hzg0n33jl-shadow") (using servicehelper)
Nov 23 01:09:14 localhost elogind[1189]: elogind is already running as PID 390
Nov 23 01:09:20 localhost shepherd[1]: Respawning term-tty1. 
Nov 23 01:09:20 localhost shepherd[1]: Service host-name has been started. 
Nov 23 01:09:20 localhost shepherd[1]: Service term-tty1 has been started.
Nov 23 01:09:39 localhost dbus-daemon[383]: [system] Failed to activate service 'org.freedesktop.login1': timed out (service_start_timeout=25000ms)
--8<---------------cut here---------------end--------------->8---

I don't remember if I saw the slim login screen; but in any case I
couldn't successfully login even via a ptty.

It may have to do with polkit.

To be investigated.

This happened on a system *not* using gdm (it uses slim) and with
ratpoison as the WM, on commit f42bc604547d9ee8e35fcd66d5db7786954cfac3
of the core-updates-frozen branch.

To be investigated.

Thanks,

Maxim